CVC4::BitVectorBitOf Struct Reference

The structure representing the extraction of one Boolean bit. More...

`#include <bitvector.h>`

## Public Member Functions

| BitVectorBitOf (unsigned i)
bool | operator== (const BitVectorBitOf &other) const

## Data Fields

unsigned | bitIndex
| The index of the bit.

## Detailed Description

The structure representing the extraction of one Boolean bit.

Definition at line 432 of file bitvector.h.

## Constructor & Destructor Documentation

## BitVectorBitOf()

CVC4::BitVectorBitOf::BitVectorBitOf | ( | unsigned | i | ) |

inline

Definition at line 435 of file bitvector.h.

## Member Function Documentation

## operator==()

bool CVC4::BitVectorBitOf::operator== | ( | const BitVectorBitOf & | other | ) | const

inline

Definition at line 438 of file bitvector.h.

References bitIndex.

## Field Documentation

## bitIndex

unsigned CVC4::BitVectorBitOf::bitIndex

The index of the bit.

Definition at line 434 of file bitvector.h.

Referenced by CVC4::BitVectorBitOfHashFunction::operator()(), CVC4::operator<<(), and operator==().

The documentation for this struct was generated from the following file:

- src/util/bitvector.h